import apiURL from './host.js'

const methodMap = {
   /**
    * 产品颜色销售排行TOP50
    */
   getMmcolorsaletop:{url:apiURL('sales')+'/bianalysis/mmcolorsaletop/',method:'get'},
   getMmcolorsaledtltop:{url:apiURL('sales')+'/bianalysis/mmcolorsaledtltop/',method:'get'},
   /**
    * 产品销售排行TOP25
    */
   getMmsaletop:{url:apiURL('sales')+'/bianalysis/mmsaletop/',method:'get'},
   getMmsaledtltop:{url:apiURL('sales')+'/bianalysis/mmsaledtltop/',method:'get'},
   /**
    * 客户
    */
   getPbcustomer:{url:apiURL('sales')+'/bianalysis/pbcustomer/',method:'get'},
   getPbcustomerDtl:{url:apiURL('sales')+'/bianalysis/pbcustomerdtl/',method:'get'},
   /**
    * 销售员
    */
   getPbsales:{url:apiURL('sales')+'/bianalysis/pbsales/',method:'get'},
   getPbsalesDtl:{url:apiURL('sales')+'/bianalysis/pbsalesdtl/',method:'get'},
   /**
    * 应收应付 || 实收实付
    */
   getPayable:{url:apiURL('sales')+'/bianalysis/payable/',method:'get'},
   getReceivepay:{url:apiURL('sales')+'/bianalysis/receivepay/',method:'get'},
   /**
    * 销售统计
    */
   sellinfo:{url:`${apiURL('sales')}/bianalysis/sellinfo/`,method:'get'},
   /**
    * 样品信息
    */
   getSpeciminHdr:{url:apiURL('sales')+'/mmmaterial/getlist/',method:'post'},
   getSpeciminDtl:{url:apiURL('sales')+'/mmmaterial/getdetail/',method:'post'},

   /**
    * 老板看板
    */
   getBoss:{url:apiURL('default')+'/boss/',method:"post"},
   


   /**
    * tiip小程序
    */

    //面料主档
   getTiipSpeciminHdr:{url:apiURL('default')+'/mmmaterial/getlist/',method:'post'},

   //订单明细查询
   getTiipPbcontract:{url:apiURL('default')+'/pbcontracthdr/',method:'post'},       //采购
   getTiipFipayable:{url:apiURL('default')+'/fipayablehdr/',method:'post'},         //应付
   getTiipFireceivable:{url:apiURL('default')+'/fireceivablehdr/',method:'post'},   //应收
   getTiipFabric:{url:apiURL('default')+'/mmFabric/',method:'post'},         //验布

   
};
export default methodMap;
